<?php

Kirki::add_section( 'cl_blog', array(
	    'priority'    => 10,
	    'type' => '',
	    'title'       => __( 'Blog', 'mediclin' ),
	    'tooltip' => __( 'All Blog Styles and options', 'mediclin' ),
	) );


		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_style',
			'label'    => __( 'Blog Style', 'mediclin' ),
			'tooltip' => __( 'Select one of the blog styles that you want to use as a default template', 'mediclin' ),
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'default',
			'choices'     => array(
				'default'  => esc_attr__( 'Default', 'mediclin' ),
				'alternate'  => esc_attr__( 'Alternate', 'mediclin' ),
				'minimal'  => esc_attr__( 'Minimal', 'mediclin' ),
				'timeline'  => esc_attr__( 'Timeline', 'mediclin' ),
				'grid'  => esc_attr__( 'Grid', 'mediclin' ),
				'masonry' => esc_attr__( 'Masonry', 'mediclin' ),
			),
		) );
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_grid_layout',
			'label'    => __( 'Grid Layout', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => '4',
			'choices' => array(
				'2'	=> '2 Columns',
				'3'	=> '3 Columns',
				'4'	=> '4 Columns',
				'5'	=> '5 Columns',
			),
			'transport' => 'postMessage',
			'required'    => array(
				array(
					'setting'  => 'blog_style',
					'operator' => 'in',
					'value'    => array('grid', 'masonry')
				),
								
			),
		) );
		
		Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'slider',
		    'settings' => 'blog_grid_transition_duration',
			'label' => 'Grid Transition Duration',
			'default' => '0.4',
			'choices'     => array(
			'min'  => '0.0',
			'max'  => '5',
			'step' => '0.1',
							),
			'inline_control' => true,
			'section'  => 'cl_blog',
			'required'    => array(
				array(
					'setting'  => 'blog_style',
					'operator' => 'in',
					'value'    => array('grid', 'masonry'),
					'transport' => 'postMessage'
				),
								
			),
    	));
		

		
		
		
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_layout',
			'label'    => __( 'Blog Page Layout', 'mediclin' ),
			'tooltip' => __( 'Overwrite the default all pages layout option, set a custom layout for blog', 'mediclin' ),
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'right_sidebar',
			'choices'     => array(
			    'none'  => esc_attr__( 'Use Default', 'mediclin' ),
				'fullwidth'  => esc_attr__( 'Fullwidth', 'mediclin' ),
				'left_sidebar'  => esc_attr__( 'Left Sidebar', 'mediclin' ),
				'right_sidebar'  => esc_attr__( 'Right Sidebar', 'mediclin' ),
				'dual_sidebar'  => esc_attr__( 'Dual Sidebar', 'mediclin' )
			),
		) );




    	Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_archive_layout',
			'label'    => __( 'Blog Archives Layout', 'mediclin' ),
			'tooltip' => __( 'Archives & Categories Layout', 'mediclin' ),
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'right_sidebar',
			'choices'     => array(
			    'none'  => esc_attr__( 'Use Default', 'mediclin' ),
				'fullwidth'  => esc_attr__( 'Fullwidth', 'mediclin' ),
				'left_sidebar'  => esc_attr__( 'Left Sidebar', 'mediclin' ),
				'right_sidebar'  => esc_attr__( 'Right Sidebar', 'mediclin' ),
				'dual_sidebar'  => esc_attr__( 'Dual Sidebar', 'mediclin' )
			),
		) );
		
		
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_excerpt',
			'label'    => __( 'Enable auto excerpt', 'mediclin' ),
			'tooltip' => __( 'If enabled you will see only a small part of content. If disabled all post will show', 'mediclin' ),
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
			

		) );
		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'blog_excerpt_length',
			'label'       => esc_attr__( 'Excerpt Length', 'mediclin' ),
			'section'     => 'cl_blog',
			'into_group' => true,
			'default'     => '62',
			'priority'    => 10,
			
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_share_buttons',
			'label'    => esc_html__( 'Blog Share Buttons', 'mediclin' ),
			'tooltip' => esc_html__( 'Select Social share buttons that you want to use on blog page', 'mediclin' ),
			'section'  => 'cl_blog',
			'type'     => 'select',
			'multiple' => 6,
			'priority' => 10,
			'default'  => array('twitter', 'facebook', 'pinterest', 'google'),
			'choices'     => array(
				'twitter'  => esc_attr__( 'Twitter', 'mediclin' ),
				'facebook'  => esc_attr__( 'facebook', 'mediclin' ),
				'google'  => esc_attr__( 'Google', 'mediclin' ),
				'whatsapp'  => esc_attr__( 'Whatsapp', 'mediclin' ),
				'linkedin'  => esc_attr__( 'LinkedIn', 'mediclin' ),
				'pinterest'  => esc_attr__( 'Pinterest', 'mediclin' ),
			),
			'transport' => 'postMessage',
			'partial_refresh' => array(
		        'blog_share_buttons' => array(
		            'selector'            => '.entry-tool-share',
		            'render_callback'     => 'codeless_get_entry_tool_share'
		        ),
		    ),
		) );
		
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_overlay',
			'label'    => __( 'Blog Overlay Style', 'mediclin' ),
			'tooltip' => __( 'Select the style of overlay of blog image on hover', 'mediclin' ),
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'color',
			'choices'     => array(
				'none'  => esc_attr__( 'None', 'mediclin' ),
				'color'  => esc_attr__( 'Color Overlay', 'mediclin' ),
				'zoom_color'  => esc_attr__( 'Zoom and Color', 'mediclin' ),
				'grayscale'  => esc_attr__( 'Grayscale', 'mediclin' ),
			),
			'transport' => 'refresh'
		) );
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_entry_overlay_icon',
			'label'    => __( 'Overlay Icon', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'arrow-right',
			'choices'     => array(
				'plus2'  => esc_attr__( 'Plus', 'mediclin' ),
				'arrow-right'  => esc_attr__( 'Arrow Right', 'mediclin' ),
				'expand2'  => esc_attr__( 'Expand', 'mediclin' ),
				'image2'  => esc_attr__( 'Image', 'mediclin' ),
				'lightbox' => esc_attr__( 'Lightbox', 'mediclin' ),
			),
			'transport' => 'postMessage'
		) );
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_image_link',
			'label'    => __( 'Entry Image Link', 'mediclin' ),
			'tooltip' => __( 'Disable if you dont want that image linked with post', 'mediclin' ),
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
			'transport' => 'postMessage',
		) );

		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_lazyload',
			'label'    => __( 'Blog Lazyload', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
			'transport' => 'postMessage'
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_animation',
			'label'    => __( 'Animation Type', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'none',
			'choices' => array(
				'none'	=> 'None',
				'top-t-bottom' =>	'Top-Bottom',
				'bottom-t-top' =>	'Bottom-Top',
				'right-t-left' => 'Right-Left',
				'left-t-right' => 'Left-Right',
				'alpha-anim' => 'Fade-In',	
				'zoom-in' => 'Zoom-In',	
				'zoom-out' => 'Zoom-Out',
				'zoom-reverse' => 'Zoom-Reverse',
			),
			'transport' => 'postMessage'
		) );


		Kirki::add_field( 'cl_mediclin', array(
		    		
		   'settings' => 'blog_single_blog_title',
		   'label'    => __( 'Single Blog', 'mediclin' ),
		   'section'  => 'cl_blog',
		   'type'     => 'grouptitle',
		   'into_group' => true,
		
		) );
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_post_layout',
			'label'    => __( 'Single Blog Layout', 'mediclin' ),
			'tooltip' => __( 'Change the layout of blog posts, you can add custom sidebar for posts also.', 'mediclin' ),
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'right_sidebar',
			'choices'     => array(
				'fullwidth'  => esc_attr__( 'Fullwidth', 'mediclin' ),
				'left_sidebar'  => esc_attr__( 'Left Sidebar', 'mediclin' ),
				'right_sidebar'  => esc_attr__( 'Right Sidebar', 'mediclin' )
			),
		) );


		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'single_blog_header_color',
			'label'    => __( 'Single Blog Header Color', 'mediclin' ),
			'tooltip' => __( 'Set default header color for Single Posts. Default Value is taken from Header->Default Header Options. You can overwrite this option on each post ', 'mediclin' ),
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'dark',
			'choices'     => array(
				'default'  => esc_attr__( 'Default', 'mediclin' ),
				'dark'  => esc_attr__( 'Dark', 'mediclin' ),
				'light'  => esc_attr__( 'Light', 'mediclin' )
			),
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'single_blog_header_transparent',
			'label'    => __( 'Single Blog Header Transparent', 'mediclin' ),
			'tooltip' => __( 'Set default header transparency for Single Posts. Default Value is taken from Header->Default Header Options. You can overwrite this option on each post ', 'mediclin' ),
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'Default',
			'choices'     => array(
				'default'  => esc_attr__( 'Default', 'mediclin' ),
				'transparent'  => esc_attr__( 'Transparent', 'mediclin' ),
				'no_transparent'  => esc_attr__( 'No Transparent', 'mediclin' )
			),
		) );


		

    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'slider',
		    'settings' => 'single_blog_width',
			'label' => __( 'Single Blog (Fullwidth Style) Width', 'mediclin' ),
			'default' => 700,
			'choices'     => array(
				'min'  => '400',
				'max'  => '1600',
				'step' => '1',
			),
			'inline_control' => true,
			'section'  => 'cl_blog',
			'output' => array(
				array(
					'element' => '.single-post .cl-layout-fullwidth .inner-content.container, .single-post .cl-layout-fullwidth .cl_page_header .container',
					'units' => 'px',
					'property' => 'width',
					'media_query' => '@media (min-width: 992px)'
				)
			),
			'transport' => 'auto'

    	));

    	Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'single_blog_title_margin_top',
			'label'       => esc_attr__( 'Single Blog Title Margin Top', 'mediclin' ),
			'section'     => 'cl_blog',
			'into_group' => true,
			'default'     => '0',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'article.post h1.entry-title',
					'units'  => 'px',
					'property' => 'margin-top'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'single_blog_title_margin_bottom',
			'label'       => esc_attr__( 'Single Blog Title Margin Bottom', 'mediclin' ),
			'section'     => 'cl_blog',
			'into_group' => true,
			'default'     => '40',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'article.post h1.entry-title',
					'units'  => 'px',
					'property' => 'margin-bottom'
				),

			)
		));

		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'single_blog_share',
			'label'    => __( 'Single Blog Shares', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'single_blog_tags',
			'label'    => __( 'Single Blog Tags', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
		) );
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'single_blog_author_box',
			'label'    => __( 'Single Blog Author Info', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'single_blog_related',
			'label'    => __( 'Single Blog Related Posts', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'single_blog_pagination',
			'label'    => __( 'Single Blog Pagination', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
		) );
		
		
		Kirki::add_field( 'cl_mediclin', array(
		    		
		   'settings' => 'blog_divider_1',
		   'label'    => '',
		   'section'  => 'cl_blog',
		   'type'     => 'groupdivider',
		   'into_group' => true,
		    			
		) );
		    	
		Kirki::add_field( 'cl_mediclin', array(
		    		
		   'settings' => 'blog_post_meta',
		   'label'    => __( 'Post Entry Meta', 'mediclin' ),
		   'section'  => 'cl_blog',
		   'type'     => 'grouptitle',
		   'into_group' => true,
		
		) );
		
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_entry_meta_author',
			'label'    => __( 'Show Author Meta', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
			'transport' => 'postMessage',
			'partial_refresh' => array(
		        'blog_entry_meta_author' => array(
		            'selector'            => '.entry-meta',
		            'render_callback'     => function(){
		            	get_template_part( 'template-parts/blog/parts/entry', 'meta' );
		            }
		        ),
		    ),
			
		) );
		
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_entry_meta_categories',
			'label'    => __( 'Show Categories Meta', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
			'transport' => 'postMessage',
			'partial_refresh' => array(
		        'blog_entry_meta_categories' => array(
		            'selector'            => '.entry-meta',
		            'render_callback'     => function(){
		            	get_template_part( 'template-parts/blog/parts/entry', 'meta' );
		            }
		        ),
		    ),
		) );
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_entry_meta_date',
			'label'    => __( 'Show Date Meta', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
			'transport' => 'postMessage',
			'partial_refresh' => array(
		        'blog_entry_meta_date' => array(
		            'selector'            => '.entry-meta',
		            'render_callback'     => function(){
		            	get_template_part( 'template-parts/blog/parts/entry', 'meta' );
		            }
		        ),
		    ),
		) );
		
		
		Kirki::add_field( 'cl_mediclin', array(
		    		
		   'settings' => 'blog_divider_2',
		   'label'    => '',
		   'section'  => 'cl_blog',
		   'type'     => 'groupdivider',
		   'into_group' => true,
		    			
		) );
		    	
		Kirki::add_field( 'cl_mediclin', array(
		    		
		   'settings' => 'blog_post_tools',
		   'label'    => __( 'Post Entry Tools', 'mediclin' ),
		   'section'  => 'cl_blog',
		   'type'     => 'grouptitle',
		   'into_group' => true,
		
		) );
		
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_entry_tools_share',
			'label'    => __( 'Show Share Buttons', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
			'transport' => 'postMessage',
			'partial_refresh' => array(
		        'blog_entry_tools_share' => array(
		            'selector'            => '.entry-tools',
		            'container_inclusive' => true,
		            'render_callback'     => function(){
		            	get_template_part( 'template-parts/blog/parts/entry', 'tools' );
		            }
		        ),
		    ),
		) );
		
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_entry_tools_comments_count',
			'label'    => __( 'Show Comments Count', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
			'transport' => 'postMessage',
			'partial_refresh' => array(
		        'blog_entry_tools_comments_count' => array(
		            'selector'            => '.entry-tools',
		            'container_inclusive' => true,
		            'render_callback'     => function(){
		            	get_template_part( 'template-parts/blog/parts/entry', 'tools' );
		            }
		        ),
		    ),
		) );
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_entry_tools_likes',
			'label'    => __( 'Show Post Likes', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
			'transport' => 'postMessage',
			'partial_refresh' => array(
		        'blog_entry_tools_likes' => array(
		            'selector'            => '.entry-tools',
		            'container_inclusive' => true,
		            'render_callback'     => function(){
		            	get_template_part( 'template-parts/blog/parts/entry', 'tools' );
		            }
		        ),
		    ),
		) );
		
		
		Kirki::add_field( 'cl_mediclin', array(
		    		
		   'settings' => 'blog_divider_4',
		   'label'    => '',
		   'section'  => 'cl_blog',
		   'type'     => 'groupdivider',
		   'into_group' => true,
		    			
		) );
		    	
		Kirki::add_field( 'cl_mediclin', array(
		    		
		   'settings' => 'blog_pagination',
		   'label'    => __( 'Pagination', 'mediclin' ),
		   'section'  => 'cl_blog',
		   'type'     => 'grouptitle',
		   'into_group' => true,
		
		) );
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_pagination_style',
			'label'    => __( 'Pagination Style', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'numbers',
			'choices'     => array(
				'numbers'  => esc_attr__( 'With Page Numbers', 'mediclin' ),
				'next_prev'  => esc_attr__( 'Next/Prev', 'mediclin' ),
				'load_more'  => esc_attr__( 'Load More Button', 'mediclin' ),
				'infinite_scroll'  => esc_attr__( 'Infinite Scroll', 'mediclin' ),
				
			),
			'transport' => 'postMessage',
			'partial_refresh' => array(
		        'blog_pagination_style' => array(
		            'selector'            => '.cl-blog-pagination',
		            'container_inclusive' => true,
		            'render_callback'     => function(){
		            	codeless_blog_pagination();
		            }
		        ),
		    ),
		) );
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_pagination_align',
			'label'    => __( 'Pagination Align', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'center',
			'transport' => 'postMessage',
			'choices'     => array(
				'left'  => esc_attr__( 'Left', 'mediclin' ),
				'center'  => esc_attr__( 'Center', 'mediclin' ),
				'right'  => esc_attr__( 'Right', 'mediclin' ),
				
			),
		) );
		
		
		
		
		
		Kirki::add_field( 'cl_mediclin', array(
		    		
		   'settings' => 'blog_divider_3',
		   'label'    => '',
		   'section'  => 'cl_blog',
		   'type'     => 'groupdivider',
		   'into_group' => true,
		    			
		) );
		    	
		Kirki::add_field( 'cl_mediclin', array(
		    		
		   'settings' => 'blog_post_slider',
		   'label'    => __( 'Post Slider', 'mediclin' ),
		   'section'  => 'cl_blog',
		   'type'     => 'grouptitle',
		   'into_group' => true,
		
		) );
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_slider_pagination',
			'label'    => __( 'Enable Slider Pagination', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
		) );
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_slider_nav',
			'label'    => __( 'Enable Slider Prev/Next', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
		) );
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_slider_loop',
			'label'    => __( 'Enable Slider Loop', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
		) );
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_slider_lazyload',
			'label'    => __( 'Enable Slider Lazy Load', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
		) );
		

		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'blog_slider_effect',
			'label'    => __( 'Blog Slider Direction', 'mediclin' ),
			
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'scroll',
			'choices'     => array(
				'scroll'  => esc_attr__( 'Scroll', 'mediclin' ),
				'fade'  => esc_attr__( 'Fade', 'mediclin' ),
				'cube'  => esc_attr__( 'Cube', 'mediclin' ),
				'coverflow'  => esc_attr__( 'Coverflow', 'mediclin' ),
				'flip'  => esc_attr__( 'Flip', 'mediclin' ),
			),
		) );
		
		
		Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'slider',
		    'settings' => 'blog_slider_speed',
			'label' => __( 'Blog Slider Speed', 'mediclin' ),
			'tooltip' => __( 'Leave 0 to remove autoplay', 'mediclin' ),
			'default' => 0,
			'choices'     => array(
				'min'  => '0',
				'max'  => '5000',
				'step' => '100',
			),
			'inline_control' => true,
			'section'  => 'cl_blog',
			
    	));
		
		
		Kirki::add_field( 'cl_mediclin', array(
		    		
		   'settings' => 'blog_divider_10',
		   'label'    => '',
		   'section'  => 'cl_blog',
		   'type'     => 'groupdivider',
		   'into_group' => true,
		    			
		) );
		    	
		


		

?>