<?php

Kirki::add_panel( 'cl_footer', array(
		'priority' => 10,
	    'type' => '',
	    'title'       => __( 'Footer', 'mediclin' ),
	    'tooltip' => __( 'Footer Options and Layout', 'mediclin' ),
	) );


Kirki::add_section('cl_footer_general', array(
	'title' => __('General', 'mediclin') ,
	'tooltip' => __('General Footer Options', 'mediclin') ,
	'panel' => 'cl_footer',
	'type' => '',
	'priority' => 160,
	'capability' => 'edit_theme_options'
));


		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'show_footer',
			'label'    => __( 'Show Footer', 'mediclin' ),
			'tooltip' => __( 'Switch On/Off Footer on website', 'mediclin' ),
			'section'  => 'cl_footer_general',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
			'transport' => 'postMessage',
			'partial_refresh' => array(
		        'footer_show' => array(
		            'selector'            => '#footer-wrapper',
		            'container_inclusive' => true,
		            'render_callback'     => 'codeless_show_footer'
		        ),
		    ),
		
		) );
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'footer_fullwidth',
			'label'    => __( 'Footer Fullwidth', 'mediclin' ),
			'tooltip' => __( 'Switch On if you want footer content without container', 'mediclin' ),
			'section'  => 'cl_footer_general',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
			'transport' => 'postMessage',
		    'required'    => array(
				array(
					'setting'  => 'show_footer',
					'operator' => '==',
					'value'    => true,
					'transport' => 'postMessage'
				),
							
			),
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'footer_layout',
			'label'    => __( 'Footer Layout', 'mediclin' ),
			'tooltip' => __( 'Use this option to change layout of footer. You can use the UI on the page too.', 'mediclin' ),
			'section'  => 'cl_footer_general',
			'type'     => 'select',
			'priority' => 10,
			'default'  => '14_14_14_14',
			'choices'     => array(
			    '16_16_16_16_16_16'  => esc_attr__( '6 Columns', 'mediclin' ),
				'14_14_14_14'  => esc_attr__( '4 Columns', 'mediclin' ),
				'13_13_13'  => esc_attr__( '3 Columns', 'mediclin' ),
				'12_12'  => esc_attr__( '2 Columns', 'mediclin' ),
				'11'  => esc_attr__( '1 Column', 'mediclin' ),
				'14_34'  => esc_attr__( '1/4 3/4', 'mediclin' ),
				'34_14'  => esc_attr__( '3/4 1/4', 'mediclin' ),
				'13_23'  => esc_attr__( '1/3 2/3', 'mediclin' ),
				'23_13'  => esc_attr__( '2/3 1/3', 'mediclin' ),
			),
			'transport' => 'postMessage',
			'required'    => array(
				array(
					'setting'  => 'show_footer',
					'operator' => '==',
					'value'    => true,
					'transport' => 'postMessage'
				),
							
			),
			'partial_refresh' => array(
		        'footer_layout' => array(
		            'selector'            => 'footer#colophon .footer-content-row',
		            'render_callback'     => 'codeless_build_footer_layout'
		        ),
		    ),
		) );


		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'footer_centered_content',
			'label'    => __( 'Footer Centered Content', 'mediclin' ),
			'tooltip' => __( 'Switch to center content of column', 'mediclin' ),
			'section'  => 'cl_footer_general',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
			'transport' => 'postMessage',
			'required'    => array(
				array(
					'setting'  => 'footer_layout',
					'operator' => '==',
					'value'    => '11',
					'transport' => 'postMessage'
				),
							
			),
		
		) );


		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'show_copyright',
			'label'    => __( 'Show Copyright', 'mediclin' ),
			'tooltip' => __( 'Switch On/Off Copyright on website', 'mediclin' ),
			'section'  => 'cl_footer_general',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
			'transport' => 'postMessage',
			'partial_refresh' => array(
		        'copyright_show' => array(
		            'selector'            => '#footer-wrapper',
		            'container_inclusive' => true,
		            'render_callback'     => 'codeless_show_footer'
		        ),
		    ),
		
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'footer_reveal_effect',
			'label'    => __( 'Footer Reveal Effect', 'mediclin' ),
			'tooltip' => __( 'Switch On/Off to activate reveal footer effect', 'mediclin' ),
			'section'  => 'cl_footer_general',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
			'transport' => 'postMessage'
		
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'footer_widget_distance',
			'label'       => esc_attr__( 'Distance between widgets', 'mediclin' ),
			'section'     => 'cl_footer_general',
			'into_group' => true,
			'default'     => '12',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'footer#colophon .widget',
					'units'  => 'px',
					'property' => 'padding-top'
				),
				array(
					'element' => 'footer#colophon .widget',
					'units'  => 'px',
					'property' => 'padding-bottom'
				),

			)
		));


Kirki::add_section('cl_footer_design', array(
	'title' => __('Main Footer Style', 'mediclin') ,
	'tooltip' => __('Main Footer Design Options', 'mediclin') ,
	'panel' => 'cl_footer',
	'type' => '',
	'priority' => 160,
	'capability' => 'edit_theme_options'
));

		Kirki::add_field('cl_mediclin', array(
			'settings' => 'footer_design',
			'label' => __('Footer Box Design', 'mediclin') ,
			'section' => 'cl_footer_design',
			'type' => 'css_tool',
			'priority' => 1,
			'default' => array(
				'padding-top' => '60px',
				'padding-bottom' => '60px'
			) ,
			'into_group' => true,
			'transport' => 'postMessage',
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'typography',
			'settings'    => 'main_footer_title_typography',
			'label'       => esc_attr__( 'Main Footer Title Typography', 'mediclin' ),
			'section'     => 'cl_footer_design',
			'into_group' => true,
			'default'     => array(
				'font-family'    => 'Jost Regular',
				'letter-spacing' => '0',
				'font-weight' => '600',
				'text-transform' => 'uppercase',
				'font-size' => '20px'
			),
			'show_subsets' => false,
			'priority' => 1,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'main_footer_title_typography' )
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'settings' => 'custom_content_typography',
			'label'    => __( 'Custom Footer Content Typography', 'mediclin' ),
			'tooltip' => __( 'Set the footer typo', 'mediclin' ),
			'section'  => 'cl_footer_design',
			'type'     => 'switch',
			'default'  => 0,
			'priority' => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'mediclin' ),
				0 => esc_attr__( 'Off', 'mediclin' ),
			),
			'transport' => 'refresh',
		
		) );

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'typography',
			'settings'    => 'main_footer_content_typography',
			'label'       => esc_attr__( 'Main Footer Content Typography', 'mediclin' ),
			'section'     => 'cl_footer_design',
			'into_group' => true,
			'default'     => array(
				'font-family'    => 'Poppins',
				'letter-spacing' => '0',
				'font-weight' => '400',
				'text-transform' => 'none',
				'font-size' => '14px',
				'line-height' => '24px',
				'color' => '#6a6a6a'
			),
			'show_subsets' => false,
			'priority' => 1,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'main_footer_content_typography' )
				),

			),
			'required'    => array(
				array(
					'setting'  => 'custom_content_typography',
					'operator' => '==',
					'value'    => true,
					'transport' => 'postMessage'
				),
							
			),
		));


		Kirki::add_field('cl_mediclin', array(
			'type' => 'select',
			'settings' => 'footer_border_style',
			'label' => 'Outer Border Style',
			'default' => 'solid',
			'choices' => array(
				'solid' => 'solid',
				'dotted' => 'dotted',
				'dashed' => 'dashed',
				'double' => 'double',
				'groove' => 'groove',
				'ridge' => 'ridge',
				'inset' => 'inset',
				'outset' => 'outset',
			) ,
			'priority' => 1,
			'inline_control' => true,
			'section' => 'cl_footer_design',
			'priority' => 1,
			'output' => array(
				array(
					'element' => 'footer#colophon',
					'property' => 'border-style'
				)
			) ,
			'transport' => 'auto'
		));

		Kirki::add_field('cl_mediclin', array(
			'type' => 'color',
			'settings' => 'footer_outer_border_color',
			'label' => 'Outer Border Color',
			'default' => 'rgba(235,235,235,0.17)',
			'inline_control' => true,
			'section' => 'cl_footer_design',
			'choices' => array(
				'alpha' => true,
			),
			'priority' => 1,
			'output' => array(
				array(
					'element' => 'footer#colophon',
					'property' => 'border-color'
				)
			) ,
			'transport' => 'auto'
		));


		Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'footer_bg_color',
			'label' => 'BG Color',
			'default' => '#fff',
			'inline_control' => true,
			'priority' => 2,
			'section'  => 'cl_footer_design',
			'output' => array(
				array(
					'element' => 'footer#colophon, #copyright input, #copyright select, #copyright textarea ',
					'property' => 'background-color'
				),
				
			),
		    'transport' => 'auto'
    	));
    	
    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'footer_dark_bg_color',
			'label' => 'Second Color',
			'tooltip' => 'Used for inputs, textarea and other more darken area',
			'default' => '#4cd4ca',
			'inline_control' => true,
			'priority' => 2,
			'section'  => 'cl_footer_design',
			'output' => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'footer_dark_bg_color' ),
					'property' => 'background-color'
				),
				
			),
		    'transport' => 'auto'
    	));

    	Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'footer_button_bg_color',
			'label' => 'Button BG Color',
			'tooltip' => 'Used for buttons',
			'default' => '#f8faff',
			'inline_control' => true,
			'priority' => 2,
			'section'  => 'cl_footer_design',
			'output' => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'footer_button_bg_color' ),
					'property' => 'background-color'
				),
				
			),
		    'transport' => 'auto'
    	));
    	
    	
    	Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'color',
			'settings'    => 'footer_title_widget',
			'label'       => esc_attr__( 'Widget Title', 'mediclin' ),
			'section'     => 'cl_footer_design',
			'into_group' => true,
			'inline_control' => true,
			'default'     => '#222222',
			'priority' => 2,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'footer#colophon .widget-title, footer#colophon .rsswidget',
					'property' => 'color'
				),

			)
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'color',
			'settings'    => 'footer_font_color',
			'label'       => esc_attr__( 'Body Font Color', 'mediclin' ),
			'section'     => 'cl_footer_design',
			'into_group' => true,
			'inline_control' => true,
			'default'     => '#373737',
			'priority' => 2,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'footer#colophon',
					'property' => 'color'
				),

			)
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'color',
			'settings'    => 'footer_link_color',
			'label'       => esc_attr__( 'Link Color', 'mediclin' ),
			'section'     => 'cl_footer_design',
			'into_group' => true,
			'inline_control' => true,
			'default'     => '#D6D6D6',
			'priority' => 2,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'footer#colophon a, footer#colophon .widget_rss cite,  footer#colophon .widget_calendar thead th',
					'property' => 'color',
					'suffix' => ' !important'
				),

			)
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'color',
			'settings'    => 'footer_link_color_hover',
			'label'       => esc_attr__( 'Link Hover Color', 'mediclin' ),
			'section'     => 'cl_footer_design',
			'into_group' => true,
			'inline_control' => true,
			'default'     => '#fff',
			'priority' => 2,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => 'footer#colophon a:hover',
					'property' => 'color',
					'suffix' => ' !important'
				),

			)
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'color',
			'settings'    => 'footer_border_color',
			'label'       => esc_attr__( 'Inner Borders Color', 'mediclin' ),
			'section'     => 'cl_footer_design',
			'into_group' => true,
			'inline_control' => true,
			'default'     => '',
			'priority' => 2,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'footer_border_color' ),
					'property' => 'border-color'
				),

			)
		));
		

		Kirki::add_section('cl_footer_copyright', array(
			'title' => __('Copyright Style', 'mediclin') ,
			'tooltip' => __('Copyright Design Options', 'mediclin') ,
			'panel' => 'cl_footer',
			'type' => '',
			'priority' => 160,
			'capability' => 'edit_theme_options'
		));
		
		Kirki::add_field( 'cl_mediclin', array(
		    'type' => 'color',
		    'settings' => 'copyright_bg_color',
			'label' => 'BG Color',
			'default' => '#ffffff',
			'inline_control' => true,
			'section'  => 'cl_footer_copyright',
			'output' => array(
				array(
					'element' => '#copyright',
					'property' => 'background-color'
				),
				
			),
		    'transport' => 'auto'
    	));
    	

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'color',
			'settings'    => 'copyright_font_color',
			'label'       => esc_attr__( 'Body Font Color', 'mediclin' ),
			'section'     => 'cl_footer_copyright',
			'into_group' => true,
			'inline_control' => true,
			'default'     => '#696969',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => '#copyright',
					'property' => 'color'
				),

			)
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'color',
			'settings'    => 'copyright_link_color',
			'label'       => esc_attr__( 'Link Color', 'mediclin' ),
			'section'     => 'cl_footer_copyright',
			'into_group' => true,
			'inline_control' => true,
			'default'     => '#D6D6D6',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => '#copyright a',
					'property' => 'color',
					'suffix' => ' !important'
				),

			)
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'color',
			'settings'    => 'copyright_link_color_hover',
			'label'       => esc_attr__( 'Link Hover Color', 'mediclin' ),
			'section'     => 'cl_footer_copyright',
			'into_group' => true,
			'inline_control' => true,
			'default'     => '#696969',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => '#copyright a:hover',
					'property' => 'color',
					'suffix' => ' !important'
				),

			)
		));

		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'color',
			'settings'    => 'copyright_border_color',
			'label'       => esc_attr__( 'Borders Color', 'mediclin' ),
			'section'     => 'cl_footer_copyright',
			'into_group' => true,
			'inline_control' => true,
			'default'     => '#d7def4',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => codeless_dynamic_css_register_tags( 'copyright_border_color' ),
					'property' => 'border-color'
				),

			)
		));

		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'copyright_padding_top',
			'label'       => esc_attr__( 'Content Distance From Top', 'mediclin' ),
			'section'     => 'cl_footer_copyright',
			'into_group' => true,
			'default'     => '20',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => '#copyright',
					'units'  => 'px',
					'property' => 'padding-top'
				),

			)
		));
		
		Kirki::add_field( 'cl_mediclin', array(
			'type'        => 'number',
			'settings'    => 'copyright_padding_bottom',
			'label'       => esc_attr__( 'Content Distance From Bottom', 'mediclin' ),
			'section'     => 'cl_footer_copyright',
			'into_group' => true,
			'default'     => '20',
			'priority'    => 10,
			'transport' => 'auto',
			'output'      => array(
				array(
					'element' => '#copyright',
					'units'  => 'px',
					'property' => 'padding-bottom'
				),

			)
		));
?>