<?php
/**
 * Template part for displaying posts
 * Default Style
 * Switch styles at Theme Options (WP Customizer)
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Mediclin
 * @subpackage Templates
 * @since 1.0.0
 *
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( codeless_extra_classes( 'entry' ) ); ?> <?php echo codeless_extra_attr( 'entry' ) ?>>
    <span class="date-outside"><?php echo get_the_date('d M') ?></span>
    <div class="outer-wrapper">
        
        <div class="post-thumbnail">
            <div class="overlay"></div>
            <?php the_post_thumbnail( codeless_get_post_thumbnail_size() ); ?>
        </div>   
        
        <div class="entry-wrapper">

            <div class="entry-wrapper-content">
        
                <?php


                    /**
                     * Entry Header
                     * Output Entry Meta and title
                     */ 
                    ?>
                    <header class="entry-header">
                        
                        <span class="category"><?php echo get_the_category() ?></span>
                        <?php
                            if( get_post_format() != 'quote' ) {
                                the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
                            }
                        ?>
                    </header><!-- .entry-header -->

                    <?php get_template_part( 'template-parts/blog/formats/content', get_post_format() ) ?>


            </div><!-- .entry-wrapper-content -->

        </div><!-- .entry-wrapper -->
    </div>
	
</article><!-- #post-## -->
